library-box
	.libraryBox
		virtual(if="{opts.libraryInfo.name != null}")
			h4 {opts.libraryInfo.name}
		virtual(if="{opts.libraryInfo.name == null}")
			h4 Unknown library

		.filename(each="{headerFile in opts.libraryInfo.headerNames}") {headerFile}

		virtual(if="{opts.libraryInfo.packageNames.length > 0}")
			p Known package names for this library:
			ul
				li(each="{package in opts.libraryInfo.packageNames}")
					strong {package.name}
					span.distributions ({package.distributions.join(", ")})

	style(scoped, type="scss").
		.libraryBox {
			padding: 12px;
			background-color: #e4a6a6;
			margin-bottom: 6px;
			margin-left: 6px;
			font-size: 15px;
			width: 49%;
			box-sizing: border-box;
			float: left;
			box-shadow: 3px 3px 8px 0px #270000;

		}
		
		h4 {
			margin-top: 0px;
			margin-bottom: 9px;
			font-size: 17px;
		}
		
		ul, p {
			margin-top: 9px;
			margin-bottom: 0px;
		}
		
		li {
			margin-bottom: 3px;
		}
		
		.filename {
			display: inline-block;
			font-size: 13px;
			padding: 4px 7px;
			background-color: #b40000;
			border-radius: 6px;
			color: white;
		}
		
		.distributions {
			font-size: 14px;
			margin-left: 6px;
		}