'use strict';

const $ = require("jquery");
const riot = require("riot");
const knownLibraries = require("./known-libraries");

require("./components/app");
require("./components/codebox");
require("./components/library-box");
require("./components/module-box");
require("./components/solution-viewer");
require("./components/solution");

riot.util.tmpl.errorHandler = function (err) {
	console.error(err.message + ' in ' + err.riotData.tagName, err.stack);
}

$(() => {
	riot.mount("app");
});
