'use strict';

module.exports = [{
	name: "ZeroMQ",
	headerNames: ["zmq.h"],
	packageNames: [{
		name: "libzmq-dev",
		distributions: [
			"Ubuntu",
			"Debian"
		]
	}, {
		name: "zeromq-devel",
		distributions: [
			"openSUSE",
			"Fedora",
			"RHEL",
			"Cygwin"
		]
	}, {
		name: "zeromq",
		distributions: [
			"Arch"
		]
	}]
}, {
	name: "ICU",
	headerNames: ["unicode/ucsdet.h"],
	packageNames: [{
		name: "libicu-dev",
		distributions: [
			"Ubuntu",
			"Debian"
		]
	}, {
		name: "libicu-devel",
		distributions: [
			"openSUSE",
			"Fedora",
			"CentOS"
		]
	}, {
		name: "icu",
		distributions: [
			"NixOS",
			"Arch"
		]
	}]

}]
